V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
SilencerL
V2EX  ›  程序员

2020 年,我司正式决定前端项目不再支持 IE 9 和 IE 10

  •  1
     
  •   SilencerL · 2020-07-30 15:07:23 +08:00 · 6542 次点击
    这是一个创建于 545 天前的主题,其中的信息可能已经有所发展或是发生改变。

    今天终于传出来 VP 批了取消 IE 9 和 IE 10 硬性兼容性要求的消息。着实是喜大普奔,是一件值得去酒吧庆祝并且宿醉的喜事儿……

    FuckIE.jpg

    看了眼 PMS 上前段时间我刚费老鼻子劲儿改的四五个关于 IE 9 兼容性的 Bug,本来感觉亏大了,早知道多拖一段时间现在就不用改了……

    然后看了眼楼下兄弟这几年为了兼容 IE 8+ 而掉了一吨头发基于 AntD 改造的前端框架现在都没用处了,反而还要把原来为了兼容性而降级的一些组件给改回去,我突然感觉内心波澜不惊甚至还有点想笑哈哈哈。

    Fish2.png

    Fish3.png

    不过楼下的兄弟靠着改造 AntD 升了职级,他们也不亏 233 。

    天灭 IE 9,Chrome 保平安

    所以这是自从 2019 年我司决定不支持 IE 8 以来我听到最好的消息。

    43 条回复    2020-11-04 13:47:42 +08:00
    murmur
        1
    murmur  
       2020-07-30 15:08:23 +08:00
    IE10 为啥也不支持了,IE10 有完整的 transform 和 translate,而且有 flex 布局
    SilencerL
        2
    SilencerL  
    OP
       2020-07-30 15:10:30 +08:00
    @murmur #1
    估计是看浏览器市场占有率决定的吧。
    而且 IE 10+ 在不做特殊兼容的情况下大部分时间都工作良好,如果真出现的兼容性问题那就祝用户 Good luck 了
    mitu9527
        3
    mitu9527  
       2020-07-30 15:20:32 +08:00
    恭喜楼主不用再掉自己的头发、花自己的时间去解决那些本该是微软要去解决的问题。
    imwangpan
        4
    imwangpan  
       2020-07-30 15:26:25 +08:00
    突然想到我司只需要简单支持 IE 11 (能用就行),部分项目甚至完全不考虑兼容 IE 我就很 happy 。
    Terry05
        5
    Terry05  
       2020-07-30 15:31:20 +08:00
    羡慕,真是喜大普奔
    ComTNT
        6
    ComTNT  
       2020-07-30 15:32:51 +08:00
    Whale Cloud?
    realpg
        7
    realpg  
       2020-07-30 15:41:43 +08:00
    我们当年就不是不支持 IE8,一步到位不支持 IE
    journey0ad
        8
    journey0ad  
       2020-07-30 16:10:24 +08:00
    根据 StatCounter 的数据,从五月份开始 IE10 占有率跌至 0.01% 了,倒是 IE9 还有 0.19% 的用户在用

    最近做的项目用到了富文本编辑器,只有部分老编辑器或旧版本还支持 IE,稍现代一点的即使支持 IE 也是从 IE11 开始了
    DoUSeeMe
        9
    DoUSeeMe  
       2020-07-30 16:10:26 +08:00
    原来是我大胡州网龙的老哥
    KasuganoSoras
        10
    KasuganoSoras  
       2020-07-30 16:10:46 +08:00
    我一般直接检测 UA,网站打开就提示 “本站不支持 IE 浏览器访问,请使用现代浏览器”
    touno
        11
    touno  
       2020-07-30 16:11:20 +08:00
    不是公众事业网站 我一般都懒得去支持 IE~
    nutting
        12
    nutting  
       2020-07-30 16:11:33 +08:00
    fish?你是浩鲸的?
    wangritian
        13
    wangritian  
       2020-07-30 16:28:02 +08:00
    回想起第一次跳槽后老板说不用管 ie6 的喜悦
    thiscat
        14
    thiscat  
       2020-07-30 17:37:30 +08:00
    还要支持 IE7 的路过,兼容 IE7 太难了
    0017
        15
    0017  
       2020-07-30 17:49:01 +08:00
    毕竟微软自己都放弃了,除了网银和敏感网站没有别的应用场景了
    lxk11153
        16
    lxk11153  
       2020-07-30 17:57:59 +08:00
    fish 是啥?
    SilencerL
        17
    SilencerL  
    OP
       2020-07-30 18:07:21 +08:00
    @ComTNT #6
    @nutting #12
    不是浩鲸的哈哈,只是框架名撞车了……

    @DoUSeeMe #9
    Bingo,兄弟也是 ND 的?

    @lxk11153 #16
    一个前端框架
    lxk11153
        18
    lxk11153  
       2020-07-30 18:18:12 +08:00
    @SilencerL #17 发下 fish 前端框架官网
    LiuJiang
        19
    LiuJiang  
       2020-07-30 18:28:46 +08:00
    真是喜大普奔。
    SilencerL
        20
    SilencerL  
    OP
       2020-07-30 18:32:39 +08:00
    @lxk11153 #18
    http://fish-docs.sdp.101.com/readme
    不过是内部用的框架,不在内网用内网镜像是没法安装的……
    lxk11153
        21
    lxk11153  
       2020-07-30 18:48:32 +08:00
    @SilencerL #20 发了个 docs 站,还是不知道官网是哪个
    yousabuk
        22
    yousabuk  
       2020-07-30 19:03:37 +08:00 via iPhone   ❤️ 2
    我司只要 chrome 最新版没问题就没问题了。

    给客户会要求:原版 Google chrome
    erwin985211
        23
    erwin985211  
       2020-07-30 19:11:46 +08:00
    不用支持 ie,我真的太幸运了
    Ruohua3kou
        24
    Ruohua3kou  
       2020-07-30 19:17:43 +08:00
    同 NDer 恭喜 lz~ 不过我居然现在才知道公司内有自己的前端框架..
    gggccc44
        25
    gggccc44  
       2020-07-30 19:33:45 +08:00
    Chrome 也会有淘汰的那一天,话说原版 Google chrome 刚出来的时候用过非常蛋疼经常崩溃,貌似现在也不如第三方好用
    seraphv3
        26
    seraphv3  
       2020-07-30 19:35:52 +08:00
    我们还要支持 IE5,好在 easyui 的旧版本可以用
    kalista
        27
    kalista  
       2020-07-30 19:48:36 +08:00
    我们的前端甚至不用支持 ie
    Chingim
        28
    Chingim  
       2020-07-30 20:19:45 +08:00 via Android
    兼容 ie 的公司不要去,浪费大量时间精力,而且对职业发展没啥帮助
    SilencerL
        29
    SilencerL  
    OP
       2020-07-30 20:23:39 +08:00
    @lxk11153 #21
    ...没官网这东西因为都是内部人员在用噗,所以只要有文档就行了。
    而且是基于 antd 开发的,看下 antd 的官网就行了。
    SilencerL
        30
    SilencerL  
    OP
       2020-07-30 20:27:32 +08:00
    @Ruohua3kou #24
    哈哈哈 交 99U 不杀!
    dbskcnc
        31
    dbskcnc  
       2020-07-30 20:53:44 +08:00
    我们这几年的项目全部不支持 ie,有问题推荐最新版 chrome 和 firefox,xp 用户让他们装 firefox 52(极少)
    DOLLOR
        32
    DOLLOR  
       2020-07-30 21:09:14 +08:00
    我们部署两套代码,新浏览器直接 ES2018,古董浏览器跑 ES5 。
    azkaban
        33
    azkaban  
       2020-07-30 21:38:07 +08:00
    新 edge 统一一切
    houshengzi
        34
    houshengzi  
       2020-07-31 08:30:46 +08:00
    我们还要做兼容一些古董浏览器,因为服务对象是面向学校的师生,有些学校电脑还在用着 IE6 到 IE8 的浏览器,份额还挺多的。叫他们更新浏览器,那些配置根本带不动,心累啊......
    Doracis
        35
    Doracis  
       2020-07-31 09:09:30 +08:00
    恭喜恭喜了,我刚入职的时候就问过领导这个问题,领导大手一挥“只考虑 chrome” 当时我内心狂喜,甚至有点笑出了声哈哈哈,做内部产品就是这点好哈哈
    yimity
        36
    yimity  
       2020-07-31 10:11:35 +08:00
    我们从 8 月开始就不支持 IE 了。
    koharu
        37
    koharu  
       2020-07-31 10:12:10 +08:00
    兼容 qq 浏览器内核 x5 也是哭
    ruzztok
        38
    ruzztok  
       2020-07-31 11:15:35 +08:00
    ie 用户不配使用你的网页,所以不做兼容
    lithbitren
        39
    lithbitren  
       2020-07-31 15:57:55 +08:00
    天灭 ie 保平安啊!
    lxk11153
        40
    lxk11153  
       2020-08-02 21:21:36 +08:00
    1. 可以的,厉害了。网上有可用的吗?
    2. http://fish-docs.sdp.101.com/components/audio/ 没有自动播放属性?
    huai
        41
    huai  
       2020-11-03 10:07:56 +08:00
    不来个 u ?
    SilencerL
        42
    SilencerL  
    OP
       2020-11-04 13:17:36 +08:00 via iPhone
    @huai
    777
    /:手动狗头
    huai
        43
    huai  
       2020-11-04 13:47:42 +08:00
    @SilencerL 哎呦 次奥,差点就出事了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2205 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 36ms · UTC 00:47 · PVG 08:47 · LAX 16:47 · JFK 19:47
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.